Subject: Re: bug#19865: tar-untar-buffer: should honor default-directory

From: Ivan Shmakov <[email-masked]>
Date: Sat, 14 Feb 2015 15:07:12 +0000

>>>>> Stefan Monnier <[email-masked]> writes:

 >> As currently implemented (tested on 7eb2077f9dd1, 2015-02-06
 >> 15:01:12 UTC), tar-untar-buffer uses the default-directory value for
 >> the “data” buffer (see tar-data-buffer), instead of the (arguably
 >> much less obscure) one for the tar-mode buffer itself (which could
 >> easily be changed by the user via M-x cd.)

 > I agree with Eli that it's a somewhat obscure corner case,

	(Which makes me wonder if using write-file on a tar-mode buffer
	a similarly obscure corner case?)

 > but as someone who does `M-x cd' fairly often for similar purposes, I
 > think the patch is right.

	Avoiding switching buffers until around the actual write-region
	call may still be a better alternative (as that should make
	mistakes of this kind hardier to introduce), but results in a
	lengthier patch.  Any opinion on which way I should go there?

	Unless there be objections, I hope to push a fix for this issue
	within the next two days.

-- 
FSF associate member #7257  http://boycottsystemd.org/  … 3013 B6A0 230E 334A